<?php
/*
Modifications par SaTurNin
Supression des globales. elles sont l en principe pour l'interieurs des fonctions.
Remises en forme du code
*/
require_once ('../admin/admin_begin.php');
load_module_lang('partenaires');

//global $PART_LANG,$Sql,$CONFIG; // pas utile on a fais le load au dessu

define('TITLE','Partenariat');			// Titre de la page
require_once '../admin/admin_header.php'; 	// Charge le dbut de l'environnement graphique de PHPBoost

// Mise en place du template
$tpl = new Template('partenaires/admin_partenaires.tpl'); 

//lecture db
$req_part = $Sql->query_while('SELECT * FROM '.PREFIX.'partenaires ORDER BY entre DESC', __LINE__, __FILE__);

//traitement de la lecture de la db
while($res = $Sql->fetch_assoc($req_part)){
	// on passe au tpl dans un bloc
	$tpl->assign_block_vars('part', array(
		'ID'		=> $res['id'],
		'TITRE'		=> $res['nom_site'],
		'LOGO' 		=> $res['url_logo'],
		'DESCRIPTION' 	=> stripslashes($res['description']),
		'MONTE' 	=> $res['entre'],
		'DESCEND'       => $res['sortie'],
		'ip'            => $res['ip'],
		'PASS'          => $res['mot_de_passe']
	));
	}
		
// variable tpl gnrale
$tpl->assign_vars(array(
	'ROOT'		=> $CONFIG['server_name'].$CONFIG['server_path'],
	'TITRE' 	=> $PART_LANG['admin_partenaires_title'],
	'TITRE_LIEN'    => $PART_LANG['partenariat'],
	'GEST'          => $PART_LANG['gestion'],
	'LOGO'          => $PART_LANG['logo'],
	'TH_ENTREE'     => $PART_LANG['monte'],
	'TH_SORTIES'    => $PART_LANG['descend'],
	'DESCRIPTION'   => $PART_LANG['description'],
	'CONFIG'        => $PART_LANG['config']
));

// passeage du template
$tpl->parse();

require_once '../admin/admin_footer.php';
?>
