<?php
function partenaires_mini($position,$block)
{
	global $PART_LANG,$Sql,$CONFIG;
        //Chargement de la langue du module.
    	load_module_lang('partenaires');
    	
	// Mise en place du template
    	$tpl = new Template('partenaires/partenaires_mini.tpl');
        import('core/menu_service');
        MenuService::assign_positions_conditions($tpl,$block);
		
	// Affiche x partenaires valids (x = 5 par dfaut)
	$req = $Sql->query_while('SELECT * FROM '.PREFIX.'partenaires ORDER BY entre DESC '. $Sql->limit(0, 5), __LINE__, __FILE__);
	while($res = $Sql->fetch_assoc($req)){
		$tpl->assign_block_vars('part', array(
			'ID'		=> $res['id'],
			'TITRE'		=> $res['nom_site'],
			'ADRESSE' 	=> 'sortie.php?id='.$res['id'],
			'LOGO' 		=> $res['url_logo'],
			'DESCRIPTION' 	=> $res['description'],
			'ENTREE' 	=> $res['entre'],
			'SORTIE'        => $res['sortie'],
			'ip'            => $res['ip'],
			'PASS'          => $res['mot_de_passe']
		));
		}
	$tpl->assign_vars(array(
		'ROOT'		=> $CONFIG['server_name'].$CONFIG['server_path'],
		'AJOUT' 	=> $PART_LANG['ajout'],
		'PARTENARIAT'   => $PART_LANG['partenariat'],
		'LIEN'          => $PART_LANG['accueil']
	));
	return $tpl->parse(TEMPLATE_STRING_MODE);
}
?>
